## com.sun.jersey.core.header
Class Token

    java.lang.Object
      com.sun.jersey.core.header.Token

Direct Known Subclasses:
  AcceptableToken

    public class Token

extends java.lang.Object

A token.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`protected java.lang.String` | `token`

Constructor Summary
`protected` | `Token()`
`` | `Token(HttpHeaderReader reader)`
`` | `Token(java.lang.String header)`

Method Summary
`java.lang.String` | `getToken()`
`boolean` | `isCompatible(java.lang.String token)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token

    protected java.lang.String token

Constructor Detail

### Token

    protected Token()

### Token

    public Token(java.lang.String header)
          throws java.text.ParseException

Throws:
  `java.text.ParseException`

### Token

    public Token(HttpHeaderReader reader)
          throws java.text.ParseException

Throws:
  `java.text.ParseException`

Method Detail

### getToken

    public java.lang.String getToken()

### isCompatible

    public final boolean isCompatible(java.lang.String token)

Copyright © 2017 Oracle Corporation. All Rights Reserved.